Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.xmlsec.wss
Class WSSBinarySecurityToken

`java.lang.Object
oracle.security.xmlsec.util.XMLNode
oracle.security.xmlsec.util.XMLElement
oracle.security.xmlsec.wss.WSSElement
oracle.security.xmlsec.wss.WSSBinarySecurityToken`

All Implemented Interfaces:
  WSSecurityToken

Direct Known Subclasses:
  KerberosBinarySecurityToken, X509BinarySecurityToken

public abstract class WSSBinarySecurityToken
extends WSSElement
implements WSSecurityToken

Base class representing a WSS BinarySecurityToken.

Field Summary
`protected static java.lang.String` | `DEFAULT_ENCODING_TYPE` Deprecated.

Fields inherited from class oracle.security.xmlsec.util.XMLNode
`node, systemId`

Constructor Summary
`protected` | `WSSBinarySecurityToken(org.w3c.dom.Document owner, java.lang.String valType)` Create a new `WSSBinarySecurityToken` instance.
`protected` | `WSSBinarySecurityToken(org.w3c.dom.Document owner, java.lang.String valType, java.lang.String encType)` Create a new `WSSBinarySecurityToken` instance.
`protected` | `WSSBinarySecurityToken(org.w3c.dom.Element element)` Create a new `WSSBinarySecurityToken` instance from the given XML element.
`protected` | `WSSBinarySecurityToken(org.w3c.dom.Element element, java.lang.String systemId)` Create a new `WSSBinarySecurityToken` instance from the given XML element.

Method Summary
`java.lang.String` | `getEncodingType()` Returns the encoding type attribute in this element or the default encoding type if not specified.
`abstract java.lang.Object` | `getToken()` Get the token contents.
`oracle.security.xmlsec.util.QName` | `getTokenName()` Returns the name of the Binary WSSecurity Token.
`byte[]` | `getValue()` Get the value of this token.
`java.lang.String` | `getValueType()` Returns the type of Binary WSSecurity Token.
`abstract void` | `setToken(java.lang.Object token)` Set the token contents.
`void` | `setValue(byte[] tokenValue)` Set the value of this token.

Methods inherited from class oracle.security.xmlsec.wss.WSSElement
`getId, getWsuId, setId, setWsuId`

Methods inherited from class oracle.security.xmlsec.util.XMLElement
`addNSPrefixAttr, addNSPrefixAttr, addNSPrefixAttrDefault, addNSPrefixAttrDefault, getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getChildElementsByTagName, getChildElementsByTagName, getChildElementsByTagNameNS, getChildElementsByTagNameNS, getDefaultNSPrefix, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setDefaultNSPrefix`

Methods inherited from class oracle.security.xmlsec.util.XMLNode
`appendChild, appendChild, appendTo, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNode, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getSystemId, hasAttributes, hasChildNodes, insertBefore, insertBefore, isSupported, normalize, removeChild, removeChild, replaceChild, replaceChild, setNodeValue, setPrefix, setSystemId, toBytesXML, toStringXML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.xmlsec.wss.WSSecurityToken
`getNode`

Field Detail

### DEFAULT_ENCODING_TYPE

    protected static final java.lang.String DEFAULT_ENCODING_TYPE

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### WSSBinarySecurityToken

    protected WSSBinarySecurityToken(org.w3c.dom.Element element)

  Create a new `WSSBinarySecurityToken` instance from the given XML element.
Parameters:
  `element` - A wsse:BinarySecurityToken element.

### WSSBinarySecurityToken

    protected WSSBinarySecurityToken(org.w3c.dom.Element element,
                                     java.lang.String systemId)

  Create a new `WSSBinarySecurityToken` instance from the given XML element.
Parameters:
  `element` - A wsse:BinarySecurityToken element.
  `systemId` - The URI string system ID for this element.

### WSSBinarySecurityToken

    protected WSSBinarySecurityToken(org.w3c.dom.Document owner,
                                     java.lang.String valType)

  Create a new `WSSBinarySecurityToken` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The `QName` indicating the value type.

### WSSBinarySecurityToken

    protected WSSBinarySecurityToken(org.w3c.dom.Document owner,
                                     java.lang.String valType,
                                     java.lang.String encType)

  Create a new `WSSBinarySecurityToken` instance.
Parameters:
  `owner` - A XML Document to be used as the owner document of this structure.
  `valType` - The `QName` indicating the value type.
  `encType` - The `QName` indicating the encoding type.

Method Detail

### getValueType

    public java.lang.String getValueType()

  Returns the type of Binary WSSecurity Token.
  Returns:
    The QName representing the token type.

### getEncodingType

    public java.lang.String getEncodingType()

  Returns the encoding type attribute in this element or the default encoding type if not specified.
  Returns:
    The QName value of the token encoding format.

### setValue

    public void setValue(byte[] tokenValue)

  Set the value of this token.

  Encoding will be performed during token creation.

  Parameters:
    `tokenValue` - The raw bytes representing the binary token value.

### getValue

    public byte[] getValue()

  Get the value of this token.

  Decoding will be performed on the binary security token value..

  Returns:
    The raw bytes representing the binary token value.

### setToken

    public abstract void setToken(java.lang.Object token)

  Set the token contents.

  This method will be implemented in the sub-classes.

  Parameters:
    `token` - The token object.

### getToken

    public abstract java.lang.Object getToken()
                                       throws WSSException

  Get the token contents.

  This method will be implemented in the sub-classes.

  Specified by:
    `getToken` in interface `WSSecurityToken`
  Returns:
    The token object.
  Throws:
    `WSSException`

### getTokenName

    public oracle.security.xmlsec.util.QName getTokenName()

  Returns the name of the Binary WSSecurity Token.
  Specified by:
    `getTokenName` in interface `WSSecurityToken`
  Returns:
    The QName representing the name of the token.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Web Services Security Java API Reference 10g Release 3 (10.1.3) B25382-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.